pro numplot, xx, yy, number, title=title, tpos=tpos, connect=connect, nocolors=nocolors, $
	strong=strong, reducecolor=reducecolor
; Plot a graph with symbols determined by number

on_error,2                      ;Return to caller if an error occurs
colorsav=!p.color

sym=[4, 7, 5, 1, 6, 2, 0, 5, 3]
fsym=['!9V!3', 'x', '!4D!3', '+', '!9B!3', '*','!20;!3', '!9G!3', '!20E!3']
if (number mod 9) gt 5 then begin
  plotsym, sym[number mod 9]
  psym=8
endif else psym=sym[number mod 9]

if n_elements(reducecolor) eq 1 then ncol=number/reducecolor else ncol=number

if keyword_set(nocolors) then color=!p.color else begin
  ncols=!d.table_size
  coldat=(fix(ncols*(3.99+0.22*ncol)) mod ncols) > 1
;  coldat=(fix(ncols*(3.69+0.29*(ncol+1))) mod ncols) > 1
  if (!p.color eq ncols-1) or (!p.color eq 0) then color=coldat $
  else begin
    tvlct, v1,v2,v3, coldat, /GET
    color=v3[0]*65536L+v2[0]*256L+v1[0]
    ; color=[v1[0],v2[0],v3[0]]
  endelse
endelse
if keyword_set(strong) then thick=(!p.thick+1)*3 else $
   thick=!p.thick
if keyword_set(connect) then psym=-psym
oplot, xx, yy, line=number, psym=psym, color=color, thick=thick

if n_elements(title) NE 0 then begin
   if n_elements(tpos) EQ 0 then tpos=1
   px = !x.window * !d.x_vsize
   py = !y.window * !d.y_vsize
   swx = px[1]-px[0]
   swy = py[1]-py[0] 

   xchar=!d.x_ch_size*(1.0+!p.charsize)
   ychar=!d.y_ch_size*(1.0+!p.charsize)
   xpos=0.08*swx
   ypos=0.08*swy + 1.0*number*ychar
   if tpos LE 2 then  ypos=py[1] - ypos else ypos=py[0] + ypos
   if (tpos mod 2) EQ 0 then begin
          xpos1=px[1] - xpos
	  xpos2=xpos1 - 2*xchar
          al=1.0
   endif else begin
          xpos1=px[0] + xpos
	  xpos2=xpos1 + 2*xchar
          al=0.0
   endelse

   if keyword_set(connect) then begin
     xcent=xpos1+0.7*(0.5-al)*xchar
     xshift=0.8*xchar
     yshift=0.2*ychar
     plots, [xcent-xshift,xcent+xshift], [ypos+yshift,ypos+yshift], /dev, $
     	line=number, color=color, thick=thick
   endif
   xyouts, xpos1, ypos, fsym[number mod 9], alignment=al, /dev, color=color
   xyouts, xpos2, ypos, title, alignment=al, /dev
endif

!p.color=colorsav
return
end
